Home | All Classes | Grouped Classes | Index | Search

# CL_SoundProvider_Session::get_data

Called when a playback session needs more sample data.

    	int get_data(
    		void* *data_ptr, int data_requested);

Parameters:

data_ptr
  Points to a buffer that should be filled with sample data.
data_requested
  Samples of data requested.

Return value:

Number of samples actually filled with sample data.

See also:

CL_SoundProvider_Session

Questions or comments, write to the ClanLib mailing list.